import { Connection } from '@salesforce/core';
import { MetadataInfo } from '../types';
import { Processor } from './processor';
export default class LWCProcessor implements Processor {
    private metadataInfo;
    private connection;
    private cacheFolder;
    constructor(metadataInfo: MetadataInfo, connection: Connection);
    getMetadata(): Promise<string>;
    /**
     * Build the value in lwcResource[0].filePath
     * NOTE: we do not use path.join here cause it does not change based on OS.
     */
    getMDFilePath(): string;
    getCachedFilePath(): Promise<string>;
    getMdFileName(): string;
    buildQuery(): string;
}
